Package org.jbpm.runtime.manager.impl.tx

## Class NoTransactionalTimerResourcesCleanupAwareSchedulerServiceInterceptor

- java.lang.Object
- - org.jbpm.process.core.timer.impl.DelegateSchedulerServiceInterceptor
  - - org.jbpm.runtime.manager.impl.tx.NoTransactionalTimerResourcesCleanupAwareSchedulerServiceInterceptor

- All Implemented Interfaces:
    `SchedulerServiceInterceptor`

      public class NoTransactionalTimerResourcesCleanupAwareSchedulerServiceInterceptor
      extends DelegateSchedulerServiceInterceptor

  This is for transactional global service so it could remove non-transactional resources when the tx is rolled back

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.core.timer.impl.DelegateSchedulerServiceInterceptor

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoTransactionalTimerResourcesCleanupAwareSchedulerServiceInterceptor​(org.kie.api.runtime.manager.RuntimeEnvironment environment, org.kie.api.runtime.manager.RuntimeManager manager, GlobalSchedulerService schedulerService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.kie.api.runtime.Environment` | `getEnvironment​(org.drools.core.time.JobContext jobContext)` |
    `protected Long` | `getProcessInstancId​(org.drools.core.time.JobContext jobContext)` |
    `protected org.drools.persistence.api.TransactionManager` | `getTransactionManager​(org.drools.core.time.JobContext jobContext)` |
    `protected boolean` | `hasEnvironmentEntry​(String name, Object value)` |
    `void` | `internalSchedule​(org.drools.core.time.impl.TimerJobInstance timerJobInstance)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoTransactionalTimerResourcesCleanupAwareSchedulerServiceInterceptor

          public NoTransactionalTimerResourcesCleanupAwareSchedulerServiceInterceptor​(org.kie.api.runtime.manager.RuntimeEnvironment environment,
                                                                                      org.kie.api.runtime.manager.RuntimeManager manager,
                                                                                      GlobalSchedulerService schedulerService)

  - ### Method Detail

    - #### internalSchedule

          public final void internalSchedule​(org.drools.core.time.impl.TimerJobInstance timerJobInstance)

      Specified by:
        `internalSchedule` in interface `SchedulerServiceInterceptor`
      Overrides:
        `internalSchedule` in class `DelegateSchedulerServiceInterceptor`

    - #### hasEnvironmentEntry

          protected boolean hasEnvironmentEntry​(String name,
                                                Object value)

    - #### getTransactionManager

          protected org.drools.persistence.api.TransactionManager getTransactionManager​(org.drools.core.time.JobContext jobContext)

    - #### getEnvironment

          protected org.kie.api.runtime.Environment getEnvironment​(org.drools.core.time.JobContext jobContext)

    - #### getProcessInstancId

          protected Long getProcessInstancId​(org.drools.core.time.JobContext jobContext)